## linux-aptosid 6.18

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0
VERSION = 6
PATCHLEVEL = 18
SUBLEVEL = 0
EXTRAVERSION =
NAME = Baby Opossum Posse

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

ifeq ($(filter output-sync,$(.FEATURES)),)
$(error GNU Make >= 4.0 is required. Your Make version is $(MAKE_VERSION))
endif

$(if $(filter __%, $(MAKECMDGOALS)), \
	$(error targets prefixed with '__' are only for internal use))

# That's our default target when none is given on the command line
PHONY := __all
__all:

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.a targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

this-makefile := $(lastword $(MAKEFILE_LIST))
abs_srctree := $(realpath $(dir $(this-makefile)))
abs_output := $(CURDIR)

ifneq ($(sub_make_done),1)

# Do not use make's built-in rules and variables
# (this increases performance and avoids hard-to-debug behaviour)
MAKEFLAGS += -rR

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# Beautify output
# ---------------------------------------------------------------------------
#
# Most of build commands in Kbuild start with "cmd_". You can optionally define
# "quiet_cmd_*". If defined, the short log is printed. Otherwise, no log from
# that command is printed by default.
#
# e.g.)
#    quiet_cmd_depmod = DEPMOD  $(MODLIB)
#          cmd_depmod = $(srctree)/scripts/depmod.sh $(DEPMOD) $(KERNELRELEASE)
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#    $(Q)$(MAKE) $(build)=scripts/basic
#
# If KBUILD_VERBOSE contains 1, the whole command is echoed.
# If KBUILD_VERBOSE contains 2, the reason for rebuilding is printed.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif

quiet = quiet_
Q = @

ifneq ($(findstring 1, $(KBUILD_VERBOSE)),)
  quiet =
  Q =
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands
ifneq ($(findstring s,$(firstword -$(MAKEFLAGS))),)
quiet=silent_
override KBUILD_VERBOSE :=
endif

export quiet Q KBUILD_VERBOSE

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/dev-tools/sparse.rst" for more details,
# including where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

export KBUILD_CHECKSRC

# Enable "clippy" (a linter) as part of the Rust compilation.
#
# Use 'make CLIPPY=1' to enable it.
ifeq ("$(origin CLIPPY)", "command line")
  KBUILD_CLIPPY := $(CLIPPY)
endif

export KBUILD_CLIPPY

# Use make M=dir or set the environment variable KBUILD_EXTMOD to specify the
# directory of external module to build. Setting M= takes precedence.
ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

ifeq ("$(origin MO)", "command line")
  KBUILD_EXTMOD_OUTPUT := $(MO)
endif

$(if $(word 2, $(KBUILD_EXTMOD)), \
	$(error building multiple external modules is not supported))

$(foreach x, % :, $(if $(findstring $x, $(KBUILD_EXTMOD)), \
	$(error module directory path cannot contain '$x')))

# Remove trailing slashes
ifneq ($(filter %/, $(KBUILD_EXTMOD)),)
KBUILD_EXTMOD := $(shell dirname $(KBUILD_EXTMOD).)
endif

export KBUILD_EXTMOD

ifeq ("$(origin W)", "command line")
  KBUILD_EXTRA_WARN := $(W)
endif

export KBUILD_EXTRA_WARN

# Kbuild will save output files in the current working directory.
# This does not need to match to the root of the kernel source tree.
#
# For example, you can do this:
#
#  cd /dir/to/store/output/files; make -f /dir/to/kernel/source/Makefile
#
# If you want to save output files in a different location, there are
# two syntaxes to specify it.
#
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the output directory.
# export KBUILD_OUTPUT=dir/to/store/output/files/; make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.

ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

ifdef KBUILD_EXTMOD
    ifdef KBUILD_OUTPUT
        objtree := $(realpath $(KBUILD_OUTPUT))
        $(if $(objtree),,$(error specified kernel directory "$(KBUILD_OUTPUT)" does not exist))
    else
        objtree := $(abs_srctree)
    endif
    # If Make is invoked from the kernel directory (either kernel
    # source directory or kernel build directory), external modules
    # are built in $(KBUILD_EXTMOD) for backward compatibility,
    # otherwise, built in the current directory.
    output := $(or $(KBUILD_EXTMOD_OUTPUT),$(if $(filter $(CURDIR),$(objtree) $(abs_srctree)),$(KBUILD_EXTMOD)))
    # KBUILD_EXTMOD might be a relative path. Remember its absolute path before
    # Make changes the working directory.
    srcroot := $(realpath $(KBUILD_EXTMOD))
    $(if $(srcroot),,$(error specified external module directory "$(KBUILD_EXTMOD)" does not exist))
else
    objtree := .
    output := $(KBUILD_OUTPUT)
endif

export objtree srcroot

# Do we want to change the working directory?
ifneq ($(output),)
# $(realpath ...) gets empty if the path does not exist. Run 'mkdir -p' first.
$(shell mkdir -p "$(output)")
# $(realpath ...) resolves symlinks
abs_output := $(realpath $(output))
$(if $(abs_output),,$(error failed to create output directory "$(output)"))
endif

ifneq ($(words $(subst :, ,$(abs_srctree))), 1)
$(error source directory cannot contain spaces or colons)
endif

export sub_make_done := 1

endif # sub_make_done

ifeq ($(abs_output),$(CURDIR))
# Suppress "Entering directory ..." if we are at the final work directory.
no-print-directory := --no-print-directory
else
# Recursion to show "Entering directory ..."
need-sub-make := 1
endif

ifeq ($(filter --no-print-directory, $(MAKEFLAGS)),)
# If --no-print-directory is unset, recurse once again to set it.
# You may end up recursing into __sub-make twice. This is needed due to the
# behavior change in GNU Make 4.4.1.
need-sub-make := 1
endif

ifeq ($(need-sub-make),1)

PHONY += $(MAKECMDGOALS) __sub-make

$(filter-out $(this-makefile), $(MAKECMDGOALS)) __all: __sub-make
	@:

# Invoke a second make in the output directory, passing relevant variables
__sub-make:
	$(Q)$(MAKE) $(no-print-directory) -C $(abs_output) \
	-f $(abs_srctree)/Makefile $(MAKECMDGOALS)

else # need-sub-make

# We process the rest of the Makefile if this is the final invocation of make

ifndef KBUILD_EXTMOD
srcroot := $(abs_srctree)
endif

ifeq ($(srcroot),$(CURDIR))
building_out_of_srctree :=
else
export building_out_of_srctree := 1
endif

ifdef KBUILD_ABS_SRCTREE
    # Do nothing. Use the absolute path.
else ifeq ($(srcroot),$(CURDIR))
    # Building in the source.
    srcroot := .
else ifeq ($(srcroot)/,$(dir $(CURDIR)))
    # Building in a subdirectory of the source.
    srcroot := ..
endif

export srctree := $(if $(KBUILD_EXTMOD),$(abs_srctree),$(srcroot))

ifdef building_out_of_srctree
export VPATH := $(srcroot)
else
VPATH :=
endif

# To make sure we do not include .config for any of the *config targets
# catch them early, and hand them over to scripts/kconfig/Makefile
# It is allowed to specify more targets when calling make, including
# mixing *config targets and build targets.
# For example 'make oldconfig all'.
# Detect when mixed targets is specified, and make a second invocation
# of make so .config is not included in this case either (for *config).

version_h := include/generated/uapi/linux/version.h

clean-targets := %clean mrproper cleandocs
no-dot-config-targets := $(clean-targets) \
			 cscope gtags TAGS tags help% %docs check% coccicheck \
			 $(version_h) headers headers_% archheaders archscripts \
			 %asm-generic kernelversion %src-pkg dt_binding_check \
			 outputmakefile rustavailable rustfmt rustfmtcheck
no-sync-config-targets := $(no-dot-config-targets) %install modules_sign kernelrelease \
			  image_name
single-targets := %.a %.i %.ko %.lds %.ll %.lst %.mod %.o %.rsi %.s %/

config-build	:=
mixed-build	:=
need-config	:= 1
may-sync-config	:= 1
single-build	:=

ifneq ($(filter $(no-dot-config-targets), $(MAKECMDGOALS)),)
    ifeq ($(filter-out $(no-dot-config-targets), $(MAKECMDGOALS)),)
        need-config :=
    endif
endif

ifneq ($(filter $(no-sync-config-targets), $(MAKECMDGOALS)),)
    ifeq ($(filter-out $(no-sync-config-targets), $(MAKECMDGOALS)),)
        may-sync-config :=
    endif
endif

need-compiler := $(may-sync-config)

ifneq ($(KBUILD_EXTMOD),)
    may-sync-config :=
endif

ifeq ($(KBUILD_EXTMOD),)
    ifneq ($(filter %config,$(MAKECMDGOALS)),)
        config-build := 1
        ifneq ($(words $(MAKECMDGOALS)),1)
            mixed-build := 1
        endif
    endif
endif

# We cannot build single targets and the others at the same time
ifneq ($(filter $(single-targets), $(MAKECMDGOALS)),)
    single-build := 1
    ifneq ($(filter-out $(single-targets), $(MAKECMDGOALS)),)
        mixed-build := 1
    endif
endif

# For "make -j clean all", "make -j mrproper defconfig all", etc.
ifneq ($(filter $(clean-targets),$(MAKECMDGOALS)),)
    ifneq ($(filter-out $(clean-targets),$(MAKECMDGOALS)),)
        mixed-build := 1
    endif
endif

# install and modules_install need also be processed one by one
ifneq ($(filter install,$(MAKECMDGOALS)),)
    ifneq ($(filter modules_install,$(MAKECMDGOALS)),)
        mixed-build := 1
    endif
endif

ifdef mixed-build
# ===========================================================================
# We're called with mixed targets (*config and build targets).
# Handle them one by one.

PHONY += $(MAKECMDGOALS) __build_one_by_one

$(MAKECMDGOALS): __build_one_by_one
	@:

__build_one_by_one:
	$(Q)set -e; \
	for i in $(MAKECMDGOALS); do \
		$(MAKE) -f $(srctree)/Makefile $$i; \
	done

else # !mixed-build

include $(srctree)/scripts/Kbuild.include

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(call read-file, $(objtree)/include/config/kernel.release)
KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)
export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION

include $(srctree)/scripts/subarch.include

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=arm64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).

## linux-aptosid 6.17

=== debian/changelog ===
linux-aptosid (6.17-7) unstable; urgency=medium

  * set ABI to 3.slh.3.
  * import v6.17.4-rc1.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 18 Oct 2025 02:57:11 +0200

linux-aptosid (6.17-6) unstable; urgency=medium

  * set ABI to 3.slh.2.
  * add "[PATCH] PCI: vmd: override irq_startup()/irq_shutdown() in
    vmd_init_dev_msi_info()".

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 16 Oct 2025 20:40:25 +0200

linux-aptosid (6.17-5) unstable; urgency=medium

  * set ABI to 3.slh.1.
  * import v6.17.3.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 16 Oct 2025 00:11:35 +0200

linux-aptosid (6.17-4) unstable; urgency=medium

  * set ABI to 2.slh.1.
  * import v6.17.2.
  * import v6.17.3-rc1.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 14 Oct 2025 00:31:16 +0200

linux-aptosid (6.17-3) unstable; urgency=medium

  * set ABI to 1.slh.2.
  * import v6.17.2-rc1.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 10 Oct 2025 19:21:23 +0200

linux-aptosid (6.17-2) unstable; urgency=medium

  * set ABI to 1.slh.1.
  * import v6.17.1.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 06 Oct 2025 22:06:11 +0200

linux-aptosid (6.17-1) unstable; urgency=medium

  * set ABI to 0.slh.1.
  * import v6.17.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 30 Sep 2025 11:01:28 +0200

linux-aptosid (6.16-12) unstable; urgency=medium

  * set ABI to 8.slh.1.
  * import v6.16.8.
  * import v6.16.9-rc1.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 23 Sep 2025 13:22:54 +0200

linux-aptosid (6.16-11) unstable; urgency=medium

  * set ABI to 7.slh.1.
  * import v6.16.6.
  * import v6.16.7.
  * import v6.16.8-rc1.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 17 Sep 2025 20:52:25 +0200

linux-aptosid (6.16-10) unstable; urgency=medium

  * set ABI to 5.slh.1.
  * import v6.16.5.
  * import v6.16.6-rc1.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 07 Sep 2025 22:12:54 +0200

linux-aptosid (6.16-9) unstable; urgency=medium

  * set ABI to 4.slh.3.
  * switch to gcc-15.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 04 Sep 2025 14:11:18 +0200

linux-aptosid (6.16-8) unstable; urgency=medium

  * set ABI to 4.slh.2.
  * import v6.16.5-rc1.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 04 Sep 2025 08:27:47 +0200

linux-aptosid (6.16-7) unstable; urgency=medium

  * set ABI to 4.slh.1.
  * import v6.16.4.
  * merge "platform/x86: asus-wmi: Fix racy registrations".

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 29 Aug 2025 04:34:34 +0200

linux-aptosid (6.16-6) unstable; urgency=medium

  * set ABI to 3.slh.1.
  * import v6.16.2.
  * import v6.16.3.
  * import v6.16.4-rc1.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 28 Aug 2025 05:03:54 +0200

linux-aptosid (6.16-5) unstable; urgency=medium

  * set ABI to 1.slh.1.
  * import v6.16.1.
  * import v6.16.2-rc1.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 18 Aug 2025 21:22:17 +0200

linux-aptosid (6.16-4) unstable; urgency=medium

  * set ABI to 0.slh.4.
  * import v6.16.1-rc1.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 12 Aug 2025 21:46:16 +0200

linux-aptosid (6.16-3) unstable; urgency=medium

  * set ABI to 0.slh.3.
  * revert "platform/x86: int3472: For mt9m114 sensors map powerdown to
    powerenable"


 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 11 Aug 2025 13:29:09 +0200

linux-aptosid (6.16-2) unstable; urgency=medium

  * set ABI to 0.slh.2.
  * add patches from the -stable queue:
    - an/patches/series
    - audit-module-restore-audit-logging-in-load-failure-c
    - ceph-parse_longname-strrchr-expects-nul-terminated-s
    - fs_context-fix-parameter-name-in-infofc-macro
    - selftests-landlock-fix-readlink-check
    - selftests-landlock-fix-build-of-audit_test
    - fs-ntfs3-cancle-set-bad-inode-after-removing-name-fa
    - landlock-fix-warning-from-kunit-tests
    - ublk-use-vmalloc-for-ublk_device-s-__queues
    - hfsplus-make-splice-write-available-again
    - hfs-make-splice-write-available-again
    - hfsplus-remove-mutex_lock-check-in-hfsplus_free_exte
    - revert-fs-ntfs3-replace-inode_trylock-with-inode_loc
    - block-mtip32xx-fix-usage-of-dma_map_sg
    - gfs2-minor-do_xmote-cancelation-fix
    - nbd-fix-lockdep-deadlock-warning
    - md-allow-removing-faulty-rdev-during-resync
    - kunit-fortify-add-back-volatile-for-sizeof-constants
    - ublk-speed-up-ublk-server-exit-handling
    - ublk-validate-ublk-server-pid
    - md-raid10-fix-set-but-not-used-variable-in-sync_requ
    - gfs2-no-more-self-recovery
    - nvmet-pci-epf-do-not-complete-commands-twice-if-nvme
    - block-sanitize-chunk_sectors-for-atomic-write-limits
    - io_uring-fix-breakage-in-expert-menu
    - btrfs-remove-partial-support-for-lowest-level-from-b
    - eventpoll-fix-semi-unbounded-recursion
    - eventpoll-fix-sphinx-documentation-build-warning
    - erofs-fix-build-error-with-config_erofs_fs_zip_accel
    - block-restore-two-stage-elevator-switch-while-runnin
    - sched-task_stack-add-missing-const-qualifier-to-end_
    - asoc-rockchip-fix-capture-stream-handling-in-rockchi
    - asoc-soc-dai-tidyup-return-value-of-snd_soc_xlate_td
    - asoc-amd-acp-fix-pointer-assignments-for-snd_soc_acp
    - asoc-ops-dynamically-allocate-struct-snd_ctl_elem_va
    - arm64-dts-qcom-x1p42100-fix-thermal-sensor-configura
    - asoc-mediatek-use-reserved-memory-or-enable-buffer-p
    - asoc-mediatek-mt8183-afe-pcm-support-32-bit-dma-addr
    - arm64-dts-freescale-imx93-tqma9352-limit-buck2-to-60
    - selftests-fix-errno-checking-in-syscall_user_dispatc
    - soc-qcom-qmi-encoding-decoding-for-big-endian
    - soc-qcom-fix-endianness-for-qmi-header
    - arm64-dts-qcom-qcs615-fix-a-crash-issue-caused-by-in
    - arm64-dts-qcom-sdm845-expand-imem-region
    - arm64-dts-qcom-sc7180-expand-imem-region
    - arm64-dts-qcom-qcs615-disable-the-cti-device-of-the-
    - arm64-dts-exynos-gs101-add-local-timer-stop-to-cpuid
    - arm64-dts-qcom-sa8775p-correct-the-interrupt-for-rem


=== debian/control ===
Source: linux-aptosid
Section: kernel
Priority: optional
Maintainer: Stefan Lippers-Hollmann <s.l-h@gmx.de>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9.20120115), bc, bison, cpio, flex (>= 2.6.1-1.1~), libelf-dev, libssl-dev, openssl (>= 1.1.0-1~), python3, xz-utils, gcc-15 [amd64 i386]
Homepage: https://www.kernel.org/
Vcs-Browser: https://github.com/fullstory/linux-aptosid
Vcs-git: git://github.com/fullstory/linux-aptosid.git

Package: linux-image-6.17.0-3.slh.3-aptosid-amd64
Architecture: amd64
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.121~) [amd64] | linux-initramfs-tool [amd64]
Recommends: firmware-linux-free, ${kernel:Recommends}
Suggests: linux-doc-6.17, grub-pc [amd64] | extlinux [amd64] | grub-efi-amd64 [amd64]
Breaks: xserver-xorg-input-vmmouse (<< 1:13.0.99) [amd64], initramfs-tools (<< 0.121~)
Conflicts: r8168-dkms, hal
Description: Linux 6.17 for 64-bit PCs
 The Linux kernel 6.17 and modules for use on PCs with AMD64 or Intel 64
 processors.
 .
 This kernel also runs on a Xen hypervisor.  It supports both privileged
 (dom0) and unprivileged (domU) operation.

Package: linux-image-aptosid-amd64
Architecture: amd64
Section: metapackages
Priority: optional
Depends: linux-image-6.17.0-3.slh.3-aptosid-amd64 (= ${binary:Version}), ${misc:Depends}
Recommends: linux-headers-aptosid-amd64 (= ${binary:Version})
Description: Linux image for aptosid on 64-bit PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with AMD64 or Intel 64 processors machines for aptosid.

Package: linux-headers-aptosid-amd64
Architecture: amd64
Section: metapackages
Priority: optional
Depends: linux-headers-6.17.0-3.slh.3-aptosid-amd64 (= ${binary:Version}), ${misc:Depends}
Description: Linux headers for aptosid on 64-bit PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with AMD64 or Intel 64 processors machines for aptosid.

Package: linux-headers-6.17.0-3.slh.3-aptosid-amd64
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, gcc-15
Conflicts: r8168-dkms
Description: Header files for Linux 6.17.0-3.slh.3-aptosid-amd64
 This package provides the architecture-specific kernel header files for
 Linux kernel 6.17.0-3.slh.3-aptosid-amd64, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-6.17.0-3.slh.3-aptosid-amd64, and can be used for
 building modules that load into the kernel provided by the
 linux-image-6.17.0-3.slh.3-aptosid-amd64 package.

Package: linux-image-6.17.0-3.slh.3-aptosid-686
Architecture: i386
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.121~) [i386] | linux-initramfs-tool [i386]
Recommends: firmware-linux-free, ${kernel:Recommends}
Suggests: linux-doc-6.17, grub-pc [i386] | extlinux [i386] | grub-efi-ia32 [i386]
Breaks: xserver-xorg-input-vmmouse (<< 1:13.0.99) [i386], initramfs-tools (<< 0.121~)
Conflicts: r8168-dkms, hal
Description: Linux 6.17 for modern PCs
 The Linux kernel 6.17 and modules for use on PCs with Intel Pentium
 Pro/II/III/4/4M/D/M, Xeon, Celeron, Core or Atom; AMD Geode LX/NX, Athlon
 (K7), Duron, Opteron, Sempron, Turion or Phenom; Transmeta Efficeon; VIA
 C3 "Nehemiah" or C7 processors.

Package: linux-image-aptosid-686
Architecture: i386
Section: metapackages
Priority: optional
Depends: linux-image-6.17.0-3.slh.3-aptosid-686 (= ${binary:Version}), ${misc:Depends}
Recommends: linux-headers-aptosid-686 (= ${binary:Version})
Description: Linux image for aptosid on modern PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with Intel Pentium Pro/II/III/4/4M/D/M, Xeon, Celeron, Core or Atom;
 AMD Geode LX/NX, Athlon (K7), Duron, Opteron, Sempron, Turion or Phenom;
 Transmeta Efficeon; VIA C3 "Nehemiah" or C7 processors machines for
 aptosid.

Package: linux-headers-aptosid-686
Architecture: i386
Section: metapackages
Priority: optional
Depends: linux-headers-6.17.0-3.slh.3-aptosid-686 (= ${binary:Version}), ${misc:Depends}
Description: Linux headers for aptosid on modern PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with Intel Pentium Pro/II/III/4/4M/D/M, Xeon, Celeron, Core or Atom;
 AMD Geode LX/NX, Athlon (K7), Duron, Opteron, Sempron, Turion or Phenom;
 Transmeta Efficeon; VIA C3 "Nehemiah" or C7 processors machines for
 aptosid.

Package: linux-headers-6.17.0-3.slh.3-aptosid-686
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, gcc-15
Conflicts: r8168-dkms
Description: Header files for Linux 6.17.0-3.slh.3-aptosid-686
 This package provides the architecture-specific kernel header files for
 Linux kernel 6.17.0-3.slh.3-aptosid-686, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-6.17.0-3.slh.3-aptosid-686, and can be used for
 building modules that load into the kernel provided by the
 linux-image-6.17.0-3.slh.3-aptosid-686 package.

## linux-aptosid 6.18

=== debian/changelog ===
linux-aptosid (6.18-2) unstable; urgency=medium

  * set ABI to 0.slh.2.
  * import v6.18.1-rc1.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 11 Dec 2025 03:49:43 +0100

linux-aptosid (6.18-1) unstable; urgency=medium

  * set ABI to 0.slh.1.
  * import v6.18.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 01 Dec 2025 00:29:25 +0100

linux-aptosid (6.17-13) unstable; urgency=medium

  * set ABI to 9.slh.1.
  * import v6.17.9.
  * import v6.17.10-rc1.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 28 Nov 2025 01:40:45 +0100

linux-aptosid (6.17-12) unstable; urgency=medium

  * set ABI to 8.slh.1.
  * import v6.17.8.
  * import v6.17.9-rc1.
  * import v6.17.9-rc2.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 22 Nov 2025 02:09:46 +0100

linux-aptosid (6.17-11) unstable; urgency=medium

  * set ABI to 7.slh.1.
  * import v6.17.7.
  * import v6.17.8-rc1.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 11 Nov 2025 11:13:13 +0100

linux-aptosid (6.17-10) unstable; urgency=medium

  * set ABI to 6.slh.1.
  * import v6.17.6.
  * import v6.17.7-rc1.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 01 Nov 2025 03:06:38 +0100

linux-aptosid (6.17-9) unstable; urgency=medium

  * set ABI to 5.slh.1.
  * import v6.17.5.
  * import v6.17.6-rc1.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 29 Oct 2025 02:37:16 +0100

linux-aptosid (6.17-8) unstable; urgency=medium

  * set ABI to 4.slh.1.
  * import v6.17.4.
  * import v6.17.5-rc1.
  * import v6.17.5-rc2.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 22 Oct 2025 21:37:17 +0200

=== debian/control ===
Source: linux-aptosid
Section: kernel
Priority: optional
Maintainer: Stefan Lippers-Hollmann <s.l-h@gmx.de>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9.20120115), bc, bison, cpio, flex (>= 2.6.1-1.1~), libelf-dev, libssl-dev, openssl (>= 1.1.0-1~), python3, xz-utils, gcc-15 [amd64 i386]
Homepage: https://www.kernel.org/
Vcs-Browser: https://github.com/fullstory/linux-aptosid
Vcs-git: git://github.com/fullstory/linux-aptosid.git

Package: linux-image-6.18.0-0.slh.2-aptosid-amd64
Architecture: amd64
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.121~) [amd64] | linux-initramfs-tool [amd64]
Recommends: firmware-linux-free, ${kernel:Recommends}
Suggests: linux-doc-6.18, grub-pc [amd64] | extlinux [amd64] | grub-efi-amd64 [amd64]
Breaks: xserver-xorg-input-vmmouse (<< 1:13.0.99) [amd64], initramfs-tools (<< 0.121~)
Conflicts: r8168-dkms, hal
Description: Linux 6.18 for 64-bit PCs
 The Linux kernel 6.18 and modules for use on PCs with AMD64 or Intel 64
 processors.
 .
 This kernel also runs on a Xen hypervisor.  It supports both privileged
 (dom0) and unprivileged (domU) operation.

Package: linux-image-aptosid-amd64
Architecture: amd64
Section: metapackages
Priority: optional
Depends: linux-image-6.18.0-0.slh.2-aptosid-amd64 (= ${binary:Version}), ${misc:Depends}
Recommends: linux-headers-aptosid-amd64 (= ${binary:Version})
Description: Linux image for aptosid on 64-bit PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with AMD64 or Intel 64 processors machines for aptosid.

Package: linux-headers-aptosid-amd64
Architecture: amd64
Section: metapackages
Priority: optional
Depends: linux-headers-6.18.0-0.slh.2-aptosid-amd64 (= ${binary:Version}), ${misc:Depends}
Description: Linux headers for aptosid on 64-bit PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with AMD64 or Intel 64 processors machines for aptosid.

Package: linux-headers-6.18.0-0.slh.2-aptosid-amd64
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, gcc-15
Conflicts: r8168-dkms
Description: Header files for Linux 6.18.0-0.slh.2-aptosid-amd64
 This package provides the architecture-specific kernel header files for
 Linux kernel 6.18.0-0.slh.2-aptosid-amd64, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-6.18.0-0.slh.2-aptosid-amd64, and can be used for
 building modules that load into the kernel provided by the
 linux-image-6.18.0-0.slh.2-aptosid-amd64 package.

Package: linux-image-6.18.0-0.slh.2-aptosid-686
Architecture: i386
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.121~) [i386] | linux-initramfs-tool [i386]
Recommends: firmware-linux-free, ${kernel:Recommends}
Suggests: linux-doc-6.18, grub-pc [i386] | extlinux [i386] | grub-efi-ia32 [i386]
Breaks: xserver-xorg-input-vmmouse (<< 1:13.0.99) [i386], initramfs-tools (<< 0.121~)
Conflicts: r8168-dkms, hal
Description: Linux 6.18 for modern PCs
 The Linux kernel 6.18 and modules for use on PCs with Intel Pentium
 Pro/II/III/4/4M/D/M, Xeon, Celeron, Core or Atom; AMD Geode LX/NX, Athlon
 (K7), Duron, Opteron, Sempron, Turion or Phenom; Transmeta Efficeon; VIA
 C3 "Nehemiah" or C7 processors.

Package: linux-image-aptosid-686
Architecture: i386
Section: metapackages
Priority: optional
Depends: linux-image-6.18.0-0.slh.2-aptosid-686 (= ${binary:Version}), ${misc:Depends}
Recommends: linux-headers-aptosid-686 (= ${binary:Version})
Description: Linux image for aptosid on modern PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with Intel Pentium Pro/II/III/4/4M/D/M, Xeon, Celeron, Core or Atom;
 AMD Geode LX/NX, Athlon (K7), Duron, Opteron, Sempron, Turion or Phenom;
 Transmeta Efficeon; VIA C3 "Nehemiah" or C7 processors machines for
 aptosid.

Package: linux-headers-aptosid-686
Architecture: i386
Section: metapackages
Priority: optional
Depends: linux-headers-6.18.0-0.slh.2-aptosid-686 (= ${binary:Version}), ${misc:Depends}
Description: Linux headers for aptosid on modern PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with Intel Pentium Pro/II/III/4/4M/D/M, Xeon, Celeron, Core or Atom;
 AMD Geode LX/NX, Athlon (K7), Duron, Opteron, Sempron, Turion or Phenom;
 Transmeta Efficeon; VIA C3 "Nehemiah" or C7 processors machines for
 aptosid.

Package: linux-headers-6.18.0-0.slh.2-aptosid-686
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, gcc-15
Conflicts: r8168-dkms
Description: Header files for Linux 6.18.0-0.slh.2-aptosid-686
 This package provides the architecture-specific kernel header files for
 Linux kernel 6.18.0-0.slh.2-aptosid-686, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-6.18.0-0.slh.2-aptosid-686, and can be used for
 building modules that load into the kernel provided by the
 linux-image-6.18.0-0.slh.2-aptosid-686 package.

=== debian/watch ===
# Find first non-rc tarball linked from kernel.org.
# We need to DFSG-clean it, so use our own script instead of uupdate.
version=3
http://www.kernel.org/ .*/linux-([0-9.]+).tar.xz debian debian/bin/uscan-hook

## linux-aptosid 6.19

=== debian/changelog ===
linux-aptosid (6.19-4) unstable; urgency=medium

  * set ABI to 2.slh.2.
  * import v6.19.3-rc1.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 18 Feb 2026 06:41:32 +0100

linux-aptosid (6.19-3) unstable; urgency=medium

  * set ABI to 2.slh.1.
  * import v6.19.1.
  * import v6.19.2.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 17 Feb 2026 06:08:07 +0100

linux-aptosid (6.19-2) unstable; urgency=medium

  * set ABI to 0.slh.2.
  * import v6.19.1-rc1.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 14 Feb 2026 02:11:51 +0100

linux-aptosid (6.19-1) unstable; urgency=medium

  * set ABI to 0.slh.1.
  * import v6.19.
  * get-orig-source: prune tools/testing/selftests/tc-testing/action-ebpf (blob).

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 09 Feb 2026 03:22:54 +0100

linux-aptosid (6.18-10) unstable; urgency=medium

  * set ABI to 8.slh.2.
  * import v6.18.9-rc1.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 05 Feb 2026 02:20:55 +0100

linux-aptosid (6.18-9) unstable; urgency=medium

  * set ABI to 8.slh.1.
  * import v6.18.7.
  * import v6.18.8.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 01 Feb 2026 06:42:58 +0100

linux-aptosid (6.18-8) unstable; urgency=medium

  * set ABI to 6.slh.1.
  * import v6.18.6.
  * import v6.18.7-rc1.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 21 Jan 2026 19:43:39 +0100

linux-aptosid (6.18-7) unstable; urgency=medium

  * set ABI to 5.slh.1.
  * import v6.18.5.
  * import v6.18.6-rc1.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 16 Jan 2026 17:40:45 +0100

linux-aptosid (6.18-6) unstable; urgency=medium

  * set ABI to 4.slh.1.
  * import v6.18.4.
  * import v6.18.5-rc1.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 10 Jan 2026 06:13:01 +0100

linux-aptosid (6.18-5) unstable; urgency=medium

  * set ABI to 3.slh.1.
  * import v6.18.3.
  * import v6.18.4-rc1.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 07 Jan 2026 05:33:15 +0100

linux-aptosid (6.18-4) unstable; urgency=medium

  * set ABI to 2.slh.1.
  * import v6.18.2.
  * import v6.18.3-rc1.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 30 Dec 2025 22:05:37 +0100

linux-aptosid (6.18-3) unstable; urgency=medium

  * set ABI to 1.slh.1.
  * import v6.18.1.
  * import v6.18.2-rc1.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 17 Dec 2025 03:44:04 +0100

=== debian/control ===
Source: linux-aptosid
Section: kernel
Priority: optional
Maintainer: Stefan Lippers-Hollmann <s.l-h@gmx.de>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9.20120115), bc, bison, cpio, flex (>= 2.6.1-1.1~), libelf-dev, libssl-dev, openssl (>= 1.1.0-1~), python3, xz-utils, gcc-15 [amd64 i386]
Homepage: https://www.kernel.org/
Vcs-Browser: https://github.com/fullstory/linux-aptosid
Vcs-git: git://github.com/fullstory/linux-aptosid.git

Package: linux-image-6.19.0-2.slh.2-aptosid-amd64
Architecture: amd64
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.121~) [amd64] | linux-initramfs-tool [amd64]
Recommends: firmware-linux-free, ${kernel:Recommends}
Suggests: linux-doc-6.19, grub-pc [amd64] | extlinux [amd64] | grub-efi-amd64 [amd64]
Breaks: xserver-xorg-input-vmmouse (<< 1:13.0.99) [amd64], initramfs-tools (<< 0.121~)
Conflicts: r8168-dkms, hal
Description: Linux 6.19 for 64-bit PCs
 The Linux kernel 6.19 and modules for use on PCs with AMD64 or Intel 64
 processors.
 .
 This kernel also runs on a Xen hypervisor.  It supports both privileged
 (dom0) and unprivileged (domU) operation.

Package: linux-image-aptosid-amd64
Architecture: amd64
Section: metapackages
Priority: optional
Depends: linux-image-6.19.0-2.slh.2-aptosid-amd64 (= ${binary:Version}), ${misc:Depends}
Recommends: linux-headers-aptosid-amd64 (= ${binary:Version})
Description: Linux image for aptosid on 64-bit PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with AMD64 or Intel 64 processors machines for aptosid.

Package: linux-headers-aptosid-amd64
Architecture: amd64
Section: metapackages
Priority: optional
Depends: linux-headers-6.19.0-2.slh.2-aptosid-amd64 (= ${binary:Version}), ${misc:Depends}
Description: Linux headers for aptosid on 64-bit PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with AMD64 or Intel 64 processors machines for aptosid.

Package: linux-headers-6.19.0-2.slh.2-aptosid-amd64
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, gcc-15
Conflicts: r8168-dkms
Description: Header files for Linux 6.19.0-2.slh.2-aptosid-amd64
 This package provides the architecture-specific kernel header files for
 Linux kernel 6.19.0-2.slh.2-aptosid-amd64, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-6.19.0-2.slh.2-aptosid-amd64, and can be used for
 building modules that load into the kernel provided by the
 linux-image-6.19.0-2.slh.2-aptosid-amd64 package.

Package: linux-image-6.19.0-2.slh.2-aptosid-686
Architecture: i386
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.121~) [i386] | linux-initramfs-tool [i386]
Recommends: firmware-linux-free, ${kernel:Recommends}
Suggests: linux-doc-6.19, grub-pc [i386] | extlinux [i386] | grub-efi-ia32 [i386]
Breaks: xserver-xorg-input-vmmouse (<< 1:13.0.99) [i386], initramfs-tools (<< 0.121~)
Conflicts: r8168-dkms, hal
Description: Linux 6.19 for modern PCs
 The Linux kernel 6.19 and modules for use on PCs with Intel Pentium
 Pro/II/III/4/4M/D/M, Xeon, Celeron, Core or Atom; AMD Geode LX/NX, Athlon
 (K7), Duron, Opteron, Sempron, Turion or Phenom; Transmeta Efficeon; VIA
 C3 "Nehemiah" or C7 processors.

Package: linux-image-aptosid-686
Architecture: i386
Section: metapackages
Priority: optional
Depends: linux-image-6.19.0-2.slh.2-aptosid-686 (= ${binary:Version}), ${misc:Depends}
Recommends: linux-headers-aptosid-686 (= ${binary:Version})
Description: Linux image for aptosid on modern PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with Intel Pentium Pro/II/III/4/4M/D/M, Xeon, Celeron, Core or Atom;
 AMD Geode LX/NX, Athlon (K7), Duron, Opteron, Sempron, Turion or Phenom;
 Transmeta Efficeon; VIA C3 "Nehemiah" or C7 processors machines for
 aptosid.

Package: linux-headers-aptosid-686
Architecture: i386
Section: metapackages
Priority: optional
Depends: linux-headers-6.19.0-2.slh.2-aptosid-686 (= ${binary:Version}), ${misc:Depends}
Description: Linux headers for aptosid on modern PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with Intel Pentium Pro/II/III/4/4M/D/M, Xeon, Celeron, Core or Atom;
 AMD Geode LX/NX, Athlon (K7), Duron, Opteron, Sempron, Turion or Phenom;
 Transmeta Efficeon; VIA C3 "Nehemiah" or C7 processors machines for
 aptosid.

Package: linux-headers-6.19.0-2.slh.2-aptosid-686
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, gcc-15
Conflicts: r8168-dkms
Description: Header files for Linux 6.19.0-2.slh.2-aptosid-686
 This package provides the architecture-specific kernel header files for
 Linux kernel 6.19.0-2.slh.2-aptosid-686, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-6.19.0-2.slh.2-aptosid-686, and can be used for
 building modules that load into the kernel provided by the
 linux-image-6.19.0-2.slh.2-aptosid-686 package.
